Summary:	A powerful, fast and reliable backup & sync tool
Name:		luckybackup
Version:	0.5.0
Release:	%mkrel 4
License:	GPLv3
Group:		Archiving/Backup
Url:		http://luckybackup.sourceforge.net/
Source:		http://prdownloads.sourceforge.net/sourceforge/luckybackup/luckybackup-%{version}.tar.gz
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)
Requires:	rsync

%description
luckyBackup is an application that backs-up and/or synchronizes any
directories with the power of rsync.

It is simple to use, fast (transfers over only changes made and not
all data), safe (keeps your data safe by checking all declared directories
before proceeding in any data manipulation ), reliable and fully customizable.

%prep
%setup -q
%autopatch -p1

%build
%qmake_qt5

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%{_bindir}/%{name}
%{_bindir}/%{name}-pkexec
%{_datadir}/applications/*.desktop
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/translations/
%{_datadir}/pixmaps/%{name}.*
%{_datadir}/polkit-1/actions/net.luckybackup.su.policy
%{_mandir}/man8/*
%{_defaultdocdir}/%{name}/


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 0.5.0-4.mga8
+ Revision: 1658981
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 0.5.0-3.mga8
+ Revision: 1524795
- Mageia 8 Mass Rebuild

* Sun Mar 31 2019 umeabot <umeabot> 0.5.0-2.mga7
+ Revision: 1383235
- Qt5 Rebuild

* Sat Dec 01 2018 daviddavid <daviddavid> 0.5.0-1.mga7
+ Revision: 1337001
- new version: 0.5.0
- port to Qt5

* Sun Sep 23 2018 umeabot <umeabot> 0.4.9-2.mga7
+ Revision: 1299383
- Mageia 7 Mass Rebuild

* Sat Jan 06 2018 daviddavid <daviddavid> 0.4.9-1.mga7
+ Revision: 1190656
- new version: 0.4.9

* Wed Aug 30 2017 daviddavid <daviddavid> 0.4.8-5.mga7
+ Revision: 1148554
- fix build using ours compile flags thus fixing empty debugsourcefiles.list
- fix some owner dir

* Fri Feb 05 2016 umeabot <umeabot> 0.4.8-4.mga6
+ Revision: 938890
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.8-3.mga5
+ Revision: 740162
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.8-2.mga5
+ Revision: 682043
- Mageia 5 Mass Rebuild

* Sat Apr 05 2014 juancho <juancho> 0.4.8-1.mga5
+ Revision: 611791
- Updated to 0.4.8

* Fri Oct 18 2013 umeabot <umeabot> 0.4.7-3.mga4
+ Revision: 507619
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.4.7-2.mga3
+ Revision: 359107
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 06 2012 juancho <juancho> 0.4.7-1.mga3
+ Revision: 256068
- Updated to 0.4.7

* Mon Jun 13 2011 juancho <juancho> 0.4.6-1.mga2
+ Revision: 105609
- Updated to 0.4.6

* Thu Apr 14 2011 ennael <ennael> 0.4.5-1.mga1
+ Revision: 85294
- clean spec file
- imported package luckybackup


* Wed Mar 09 2011 Juan Luis Baptiste <juancho@mandriva.org> 0.4.5-1mdv2011.0
+ Revision: 643180
- Updated to 0.4.5

* Sun Oct 31 2010 Juan Luis Baptiste <juancho@mandriva.org> 0.4.4-1mdv2011.0
+ Revision: 591215
- Updated to 0.4.4.

* Mon Sep 06 2010 Juan Luis Baptiste <juancho@mandriva.org> 0.4.3-1mdv2011.0
+ Revision: 576376
- Updated to 0.4.3, forgot to update sources
- Updated to 0.4.3

* Tue Aug 31 2010 Juan Luis Baptiste <juancho@mandriva.org> 0.4.2-1mdv2011.0
+ Revision: 574561
- Updated to 0.4.2

* Tue Jul 13 2010 Juan Luis Baptiste <juancho@mandriva.org> 0.4.1-1mdv2011.0
+ Revision: 551875
- Forgot to add 0.4.1 sources.
- updated to 0.4.1
- Updated to 0.4.0.

* Sat Dec 19 2009 Jérôme Brenier <incubusss@mandriva.org> 0.3.5-1mdv2010.1
+ Revision: 480228
- new version 0.3.5

* Thu Sep 17 2009 Juan Luis Baptiste <juancho@mandriva.org> 0.3.3-1mdv2010.0
+ Revision: 443873
- Initial Mandriva package


* Mon May 25 2009 Juan Luis Baptiste <juan.baptiste@mandriva-co.com> 0.3-1mdv2009.1
- Initial Import to 2009 Spring.
